Bug 974937 - The missing system tray icons in Fedora 19 Gnome3
The missing system tray icons in Fedora 19 Gnome3
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 03:58 EDT by tnrgus
Modified: 2018-06-07 04:12 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:36:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GTK TrayIcon Example (907 bytes, text/x-c++src)
2013-06-21 00:29 EDT, tnrgus
no flags Details
A Screenshot on Fedora 18 (625.31 KB, image/png)
2013-06-21 03:38 EDT, tnrgus
no flags Details
Systray of Qt Example (26.55 KB, application/x-gzip)
2013-07-02 22:32 EDT, tnrgus
no flags Details
ScreenShot on Fedora 19 (1004.66 KB, image/png)
2013-07-03 04:35 EDT, tnrgus
no flags Details

  None (edit)
Description tnrgus 2013-06-17 03:58:50 EDT
Description of problem:
When starting applications which need a system tray, their icons are missing from Gnome3 system tray.

Version-Release number of selected component (if applicable):
qt-4.8.4-19.fc19

How reproducible:
Run systray among Qt Example.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2013-06-18 14:28:02 EDT
It is my understanding that system tray icons aren't shown (by default) in gnome3.

See also:
http://askubuntu.com/questions/155545/how-do-i-get-qsystemtrayicon-to-show-up-in-gnome-3
Comment 2 tnrgus 2013-06-18 21:06:28 EDT
(In reply to Rex Dieter from comment #1)
> It is my understanding that system tray icons aren't shown (by default) in
> gnome3.
> 
> See also:
> http://askubuntu.com/questions/155545/how-do-i-get-qsystemtrayicon-to-show-
> up-in-gnome-3

I could look for the icon near the bottom in the previous fedora version, but there are not those icons anywhere in Fedora 19.
Comment 3 Rex Dieter 2013-06-18 21:14:53 EDT
Not sure how gnome works, and bugzilla really isn't a tech-support, but...

reassigning to gnome-shell, for advice on where/how to find/see systray icons.
Comment 4 Florian Müllner 2013-06-20 10:45:10 EDT
(In reply to tnrgus from comment #2)
> I could look for the icon near the bottom in the previous fedora version,
> but there are not those icons anywhere in Fedora 19.

This should still be the case, e.g. we didn't make any (conscious) changes to the way legacy status icons are handled. Can you try to reproduce the problem with GTK+'s status icon implementation? I'm not seeing it here, so possibly something in QT's implementation changed which broken on GNOME.
Comment 5 Rex Dieter 2013-06-20 10:54:39 EDT
Re: comment #2

you mention "previous fedora version", which one?

Fwiw, we ship essentially the same Qt4 code on F17, F18, and F19 these days, so if it worked on f17/f18, and not f19, it's likely the failure is not Qt.
Comment 6 tnrgus 2013-06-20 20:17:36 EDT
(In reply to Rex Dieter from comment #5)
> Re: comment #2
> 
> you mention "previous fedora version", which one?
> 
> Fwiw, we ship essentially the same Qt4 code on F17, F18, and F19 these days,
> so if it worked on f17/f18, and not f19, it's likely the failure is not Qt.

It means F19.
Comment 7 tnrgus 2013-06-20 20:21:37 EDT
(In reply to tnrgus from comment #6)
> (In reply to Rex Dieter from comment #5)
> > Re: comment #2
> > 
> > you mention "previous fedora version", which one?
> > 
> > Fwiw, we ship essentially the same Qt4 code on F17, F18, and F19 these days,
> > so if it worked on f17/f18, and not f19, it's likely the failure is not Qt.
> 
> It means F18.
Comment 8 tnrgus 2013-06-20 20:27:39 EDT
(In reply to Florian Müllner from comment #4)
> (In reply to tnrgus from comment #2)
> > I could look for the icon near the bottom in the previous fedora version,
> > but there are not those icons anywhere in Fedora 19.
> 
> This should still be the case, e.g. we didn't make any (conscious) changes
> to the way legacy status icons are handled. Can you try to reproduce the
> problem with GTK+'s status icon implementation? I'm not seeing it here, so
> possibly something in QT's implementation changed which broken on GNOME.

Sorry, I am not good at gtk+ implementation.
Comment 9 tnrgus 2013-06-21 00:29:19 EDT
Created attachment 763635 [details]
GTK TrayIcon Example
Comment 10 tnrgus 2013-06-21 00:55:56 EDT
Comment on attachment 763635 [details]
GTK TrayIcon Example

I built and run this example on both Fedora 18 and 19.
It displays the system tray icon on Fedora 18, but the icon does not show on Fedora 19.
Comment 11 tnrgus 2013-06-21 03:38:06 EDT
Created attachment 763679 [details]
A Screenshot on Fedora 18

in the right corner of the notification area at the bottom of the screen
Comment 12 Florian Müllner 2013-06-24 09:38:26 EDT
Odd, the provided example works as expected here (either GTK+-2 or GTK+-3) ...
Comment 13 tnrgus 2013-06-24 20:51:23 EDT
(In reply to Florian Müllner from comment #12)
> Odd, the provided example works as expected here (either GTK+-2 or GTK+-3)
> ...

Fedora 19?
Comment 14 tnrgus 2013-06-25 04:33:55 EDT
If the desktop has the GNOME Panel Notification Area at first as soon as login, the systray example I mentioned shows a tray icon on Fedora 19.
But the GNOME Panel Notification Area is not always shown.

How can I display the notification area?
Comment 15 tnrgus 2013-06-25 04:39:18 EDT
If the desktop has the GNOME Panel Notification Area at first as soon as login, the systray example I mentioned shows a tray icon on Fedora 19.
But that area is not always shown.
Comment 16 Florian Müllner 2013-06-26 05:59:35 EDT
(In reply to tnrgus from comment #13)
> (In reply to Florian Müllner from comment #12)
> > Odd, the provided example works as expected here (either GTK+-2 or GTK+-3)
> > ...
> 
> Fedora 19?

Yes.
Comment 17 Florian Müllner 2013-06-26 06:02:02 EDT
Possibly related: https://bugzilla.gnome.org/show_bug.cgi?id=701613.
Comment 18 tnrgus 2013-07-02 22:32:05 EDT
Created attachment 768013 [details]
Systray of Qt Example
Comment 19 tnrgus 2013-07-02 22:34:57 EDT
Please let me know the result of Qt Systray I attached.
Once installing Fedora 19 Desktop Edition, I run the systray of Qt Example. But I could not look for the system tray icon.
Comment 20 tnrgus 2013-07-03 04:35:08 EDT
Created attachment 768149 [details]
ScreenShot on Fedora 19
Comment 21 Stanislav Graf 2013-09-29 09:18:33 EDT
(In reply to tnrgus from comment #14)

https://wiki.gnome.org/GnomeOS/Design/Whiteboards/KeyboardShortcuts

Toggle Message Tray
Super+M
Comment 22 Rex Dieter 2013-09-29 09:28:07 EDT
And, is this still reproducible using this update?

https://admin.fedoraproject.org/updates/FEDORA-2013-15571/gtk3-3.8.4-1.fc19

that includes the fix for the possibly-related
https://bugzilla.gnome.org/show_bug.cgi?id=701613
mentioned in comment #17
Comment 23 Fedora End Of Life 2015-01-09 13:27:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 24 Fedora End Of Life 2015-02-17 10:36:29 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.